Get the most out of your Centmin Mod LEMP stack
Become a Member

PHP PHP 7.2.7 Released

Discussion in 'Nginx and PHP-FPM news & discussions' started by eva2000, Jun 24, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    41,386
    9,297
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,261
    Local Time:
    5:05 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    PHP 7.2.7 has been released.
     
  2. eva2000

    eva2000 Administrator Staff Member

    41,386
    9,297
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,261
    Local Time:
    5:05 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    To upgrade PHP, run centmin.sh menu option 5 and specify PHP version you want to use i.e. 7.0.30 or 7.1.18 or with 123.09beta01 support for 7.2.7

    example for PHP 7.1.18
    Code (Text):
    --------------------------------------------------------
         Centmin Mod Menu 123.09beta01 centminmod.com
    --------------------------------------------------------
    1).  Centmin Install
    2).  Add Nginx vhost domain
    3).  NSD setup domain name DNS
    4).  Nginx Upgrade / Downgrade
    5).  PHP Upgrade / Downgrade
    6).  XCache Re-install
    7).  APC Cache Re-install
    8).  XCache Install
    9).  APC Cache Install
    10). Memcached Server Re-install
    11). MariaDB MySQL Upgrade & Management
    12). Zend OpCache Install/Re-install
    13). Install/Reinstall Redis PHP Extension
    14). SELinux disable
    15). Install/Reinstall ImagicK PHP Extension
    16). Change SSHD Port Number
    17). Multi-thread compression: pigz,pbzip2,lbzip2...
    18). Suhosin PHP Extension install
    19). Install FFMPEG and FFMPEG PHP Extension
    20). NSD Install/Re-Install
    21). Update - Nginx + PHP-FPM + Siege
    22). Add Wordpress Nginx vhost + Cache Plugin
    23). Update Centmin Mod Code Base
    24). Exit
    --------------------------------------------------------
    Enter option [ 1 - 24 ] 5
    --------------------------------------------------------
    

    Code (Text):
    Do you want to run YUM install checks ?  [y/n]
    
    This will increase your upgrade duration time wise.
    Check the change log centminmod.com/changelog.html
    to see if any Nginx or PHP related new additions
    which require checking YUM prequisites are met.
    If no new additions made, you can skip the
    YUM install check to speed up upgrade time.
    
     [y/n]: n
    

    Code (Text):
          
    PHP Upgrade/Downgrade - Would you like to continue? [y/n] y
    
    ----------------------------------------------------------------
    Install which version of PHP? (version i.e. 5.6.35, 7.0.26, NGDEBUG)
    PHP 7.x/7.1.x/7.2.x is GA Stable but still may have broken PHP extensions.
    NGDEBUG is PHP 7.3.0 dev builds minus incompatible PHP extensions
    ----------------------------------------------------------------
    Enter PHP Version number you want to upgrade/downgrade to: 7.1.18
    ----------------------------------------------------------------
    

    Code (Text):
    -----------------------------------------------------------------------------------------
    Detected PHP 7.1 branch.
    You can compile Zend OPcache (Zend Optimizer Plus+) support
    as an alternative to using APC Cache or Xcache cache.
    But Zend OPcache only provides PHP opcode cache and
    DOESN'T do data caching, so if your web apps such as Wordpress,
    Drupal or vBulletin require data caching to APC or Xcache,
    it won't work with Zend OPcache.
    
    -----------------------------------------------------------------------------------------
    Do you want to use Zend OPcache [y/n] ? y
    
    *************************************************
    * Zend Optimizer Plus OPcache configured
    *************************************************
    

    Code (Text):
    PHP 7+ detected which uses newer mysqlnd
    or PDO MySQL extensions and removed the
    legacy mysql extension. You can optionally
    re-add the removed legacy mysql extension
    to PHP 7+ by answering yes to next question
    Only answer yes if you know for sure you
    have very old web scripts which need mysql
    legacy extension re-added. Otherwise answer
    no which is recommended for best stability
    
    Re-add legacy mysql extension to PHP 7+ [y/n] ? n
    
    
     
    • Like Like x 1
  3. dcg

    dcg Member

    53
    18
    8
    Oct 17, 2015
    Florida, USA
    Ratings:
    +34
    Local Time:
    3:05 AM
    1.15.x
    10.2.x
    @eva2000 are you running 7.2 or 7.1 on this site? Do you feel it is ok to run 7.2 on xenforo setup?
    Thanks
    david
     
  4. eva2000

    eva2000 Administrator Staff Member

    41,386
    9,297
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,261
    Local Time:
    5:05 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    I'm running PHP 7.1.18 on this forum right now just because haven't had the time to verify that all my Xenforo addons (90+) are problem free on PHP 7.2.x yet. Probably should to that :)
     
    • Agree Agree x 1
  5. dcg

    dcg Member

    53
    18
    8
    Oct 17, 2015
    Florida, USA
    Ratings:
    +34
    Local Time:
    3:05 AM
    1.15.x
    10.2.x
    Thanks for reply. Same I am running 7.1.18, because I am worried about compatibility with addons for 7.2.x
    I might just wait till I transition to XF2 for the jump to 7.2.x
    I am starting in on XF2 transition with a test Centminmod setup cloned site. Also, trying to prune my addon usage ;)
     
    • Like Like x 1
  6. eva2000

    eva2000 Administrator Staff Member

    41,386
    9,297
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +14,261
    Local Time:
    5:05 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
    great minds and all :D
     
    • Agree Agree x 1
  7. deltahf

    deltahf Premium Member Premium Member

    335
    150
    43
    Jun 8, 2014
    Ratings:
    +238
    Local Time:
    3:05 AM
    When I upgraded to 7.2 the only major issue I had regarding plugins was with [bd] Widgets, but that got resolved an update.

    Otherwise, WordPress and XenForo run great on it. :) Of course, your mileage might vary depending on your plugins with both software.
     
    • Informative Informative x 1